<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/account_settings_graph"
    app:startDestination="@id/accountSettingsFragment">

    <fragment
        android:id="@+id/accountSettingsFragment"
        android:name="com.appetiser.moviesearch.features.account.settings.AccountSettingsFragment"
        android:label="AccountSettingsFragment"
        tools:layout="@layout/fragment_account_settings">

        <argument
            android:name="fromChangeEmail"
            android:defaultValue="false"
            app:argType="boolean" />

        <argument
            android:name="fromChangePhone"
            android:defaultValue="false"
            app:argType="boolean" />

        <argument
            android:name="fromChangePassword"
            android:defaultValue="false"
            app:argType="boolean" />

        <action
            android:id="@+id/action_accountSettingsFragment_to_change_email_graph"
            app:destination="@id/change_email_graph"
            app:enterAnim="@anim/anim_slide_in_right"
            app:exitAnim="@anim/anim_slide_out_left"
            app:popEnterAnim="@anim/anim_slide_in_deep_left"
            app:popExitAnim="@anim/anim_slide_out_right"
            app:popUpTo="@id/accountSettingsFragment" />

        <action
            android:id="@+id/action_accountSettingsFragment_to_change_phone_graph"
            app:destination="@id/change_phone_graph"
            app:enterAnim="@anim/anim_slide_in_right"
            app:exitAnim="@anim/anim_slide_out_left"
            app:popEnterAnim="@anim/anim_slide_in_deep_left"
            app:popExitAnim="@anim/anim_slide_out_right"
            app:popUpTo="@id/accountSettingsFragment" />

        <action
            android:id="@+id/action_accountSettingsFragment_to_change_password_graph"
            app:destination="@id/change_password_graph"
            app:enterAnim="@anim/anim_slide_in_right"
            app:exitAnim="@anim/anim_slide_out_left"
            app:popEnterAnim="@anim/anim_slide_in_deep_left"
            app:popExitAnim="@anim/anim_slide_out_right"
            app:popUpTo="@id/accountSettingsFragment" />

        <action
            android:id="@+id/action_accountSettingsFragment_to_primaryPhoneVerificationFragment"
            app:destination="@id/account_primary_phone_graph"
            app:enterAnim="@anim/anim_slide_in_right"
            app:exitAnim="@anim/anim_slide_out_left"
            app:popEnterAnim="@anim/anim_slide_in_deep_left"
            app:popExitAnim="@anim/anim_slide_out_right"
            app:popUpTo="@id/accountSettingsFragment">

            <argument
                android:name="type"
                android:defaultValue="CHANGE_PHONE"
                app:argType="com.appetiser.moviesearch.features.account.primaryphone.PrimaryPhoneVerificationScreenFlow"
                app:nullable="false" />
        </action>

        <action
            android:id="@+id/action_accountSettingsFragment_to_accountPrimaryEmailFragment"
            app:destination="@id/account_primary_email_graph"
            app:enterAnim="@anim/anim_slide_in_right"
            app:exitAnim="@anim/anim_slide_out_left"
            app:popEnterAnim="@anim/anim_slide_in_deep_left"
            app:popExitAnim="@anim/anim_slide_out_right"
            app:popUpTo="@id/accountSettingsFragment">

            <argument
                android:name="type"
                android:defaultValue="CHANGE_PHONE"
                app:argType="com.appetiser.moviesearch.features.account.primaryemail.PrimaryEmailPasswordScreenFlow"
                app:nullable="false" />
        </action>

    </fragment>

</navigation>